summaryrefslogtreecommitdiff
path: root/acpid
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /acpid
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'acpid')
-rw-r--r--acpid/acpid-1.0.2/init26
-rw-r--r--acpid/acpid-1.0.3/init26
2 files changed, 52 insertions, 0 deletions
diff --git a/acpid/acpid-1.0.2/init b/acpid/acpid-1.0.2/init
index e69de29bb2..4937e71e9f 100644
--- a/acpid/acpid-1.0.2/init
+++ b/acpid/acpid-1.0.2/init
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events -s /var/run/.acpid.socket
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/acpid/acpid-1.0.3/init b/acpid/acpid-1.0.3/init
index e69de29bb2..4937e71e9f 100644
--- a/acpid/acpid-1.0.3/init
+++ b/acpid/acpid-1.0.3/init
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events -s /var/run/.acpid.socket
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0